Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.service
Interface PersistenceService

public interface PersistenceService
extends Service

The `PersistenceService` class is instantiated as a portlet-specific object. It provides methods to retrieve, store and reset pages. A page is the portlet-specific view of its configuration for a particular page.

The `PersistenceService` does require the portlet object as the first and only parameter.

See Also:
  `PersistenceFactory`

Inner Class Summary
`static interface` | `PersistenceService.Page`

Method Summary
`PersistenceService.Page` | `getPage()` Returns the current page, ie. the page that the calling portlet resides on.
`java.util.Enumeration` | `getPages()` Returns an enumeration of pages that the persistence service manages for this portlet.
`void` | `reset()` Resets the persistence service to forget about all attributes previously collected.
`void` | `store()` Stores the current set of attributes.

Methods inherited from interface org.apache.jetspeed.service.Service
`getName, init`

Method Detail

### reset

    public void reset()

  Resets the persistence service to forget about all attributes previously collected.
  Throws:
    ServiceException - if resetting the pages fails

### store

    public void store()
               throws ServiceException

  Stores the current set of attributes. Any subsequent changes to the set of attributes or the attributes themselves will not be persistent until another call to store the attributes.
  Throws:
    ServiceException - if storing the pages fails

### getPage

    public PersistenceService.Page getPage()

  Returns the current page, ie. the page that the calling portlet resides on.
  Returns:
    the current page

### getPages

    public java.util.Enumeration getPages()

  Returns an enumeration of pages that the persistence service manages for this portlet.
  Returns:
    an enumeration of pages

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD